truckersmp/api-client

TruckersMP API Library helps connecting to and using the TruckersMP API.

v1.2.0 2020-07-18 11:49 UTC

This package is auto-updated.

Last update: 2021-01-18 13:01:22 UTC


README

68747470733a2f2f747275636b6572736d702e636f6d2f6173736574732f696d672f747275636b6572736d702d6c6f676f2d736d2e706e67

Build Status StyleCI Status Total Downloads Latest Stable Version Latest Unstable Version License

Introduction

The TruckersMP PHP library provides convenient access to the TruckersMP API for applications written in the PHP language. It includes a pre-defined set of classes for API each endpoint to get the data as a collection or model.

If you want to use the API without the library, check out the API Documentation.

Requirements

  • PHP 7.2 or later
  • Composer

Composer

You can install the package via Composer. Run the following command:

composer require truckersmp/api-client

To use the package, use Composer's autoload:

require_once('vendor/autoload.php');

Official Documentation

Documentation for API client can be found on the Wiki.

Support

If you have any questions about the library, you can create a topic on our forum.

License

This package is open-source and is licensed under the MIT license.